#ifndef _TK_PLACE_LAYOUT_H_
#define _TK_PLACE_LAYOUT_H_

#include "tk_layout.h"

/**
 * \brief Represent "place" layout in Tk
 * \date 01-12-2006
 *
 * \author Ondrej Svejdar
 *
 * \todo 
 *
 * \bug 
 *
 */
class TkPlaceLayout:public TkLayout
{
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkPlaceLayout();
	}

	static const char* type;
	const char* getType() const 
	{
		return type;
	}
	void manageLayout(TclInterp* interp,TkContainer* parent,TkBase* component,TObject* constraints) const;
	void removeComponent(TclInterp* interp,TkContainer* parent,TkBase* component) const;
};

#endif/*_TK_PLACE_LAYOUT_H_*/
